Package ch.qos.logback.core.pattern.parser

## Class CompositeNode

- java.lang.Object
- - ch.qos.logback.core.pattern.parser.Node
  - - ch.qos.logback.core.pattern.parser.FormattingNode
    - - ch.qos.logback.core.pattern.parser.SimpleKeywordNode
      - - ch.qos.logback.core.pattern.parser.CompositeNode

    public class CompositeNode
    extends SimpleKeywordNode

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object o)`
`Node` `getChildNode()`
`int` `hashCode()`
`void` `setChildNode​(Node childNode)`
`java.lang.String` `toString()`

### Methods inherited from class ch.qos.logback.core.pattern.parser.SimpleKeywordNode

`getOptions, setOptions`

### Methods inherited from class ch.qos.logback.core.pattern.parser.FormattingNode

`getFormatInfo, setFormatInfo`

### Methods inherited from class ch.qos.logback.core.pattern.parser.Node

`getNext, getType, getValue, setNext`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getChildNode

    public Node getChildNode()

#### setChildNode

    public void setChildNode​(Node childNode)

#### equals

    public boolean equals​(java.lang.Object o)

Overrides:
  `equals` in class `SimpleKeywordNode`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `SimpleKeywordNode`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `SimpleKeywordNode`